Subject: bug#61885: `guix import go` fails outside of pre-inst-env

From: Winter <[email-masked]>
Date: Wed, 1 Mar 2023 12:52:51 -0500

> Using (gnu packages check) then (gnu packages golang) doesn't make the
> error appear.  The solution imo, esp. since (gnu packages check) already
> uses (gnu packages golang), is to have the variant package defined
> alongside the parent. Here is a patch that should fix this.

To clarify: I do think this is the best solution, though the oddities I mentioned may warrant further investigation into potentially different issues.

In addition to those, I wonder why `guix build` shows that the cyclic package can't be found, rather than throwing an error as `guix import` does. Maybe it's worth fixing that, if possible, to not cause (worse) confusion?

Thanks,
Winter